kumquat-buildroot/target/device/Atmel/atstk100x/target_skeleton/etc/init.d/S03bootsplash

26 lines
426 B
Plaintext
Raw Normal View History

2007-07-29 09:15:35 +02:00
#!/bin/sh
FBV=/usr/bin/fbv
FBSET=/usr/sbin/fbset
FBMODEFILE="/etc/fb.modes"
SPLASHFILE="/etc/stk1000bootsplash.jpg"
2007-08-17 15:02:52 +02:00
echo -n "Bootsplash image: "
2007-07-29 09:15:35 +02:00
if [ ! -x "${FBV}" -o ! -x "${FBSET}" -o \
! -f "${SPLASHFILE}" -o ! -f "${FBMODEFILE}" ]; then
2007-08-17 15:02:52 +02:00
echo "missing"
2007-07-29 09:15:35 +02:00
exit 1
fi
2007-08-17 15:02:52 +02:00
if ! ${FBSET} 320x240-68; then
echo "failed"
2007-07-29 09:15:35 +02:00
exit 1
fi
2007-08-17 15:02:52 +02:00
${FBV} ${SPLASHFILE} > /dev/null &
2007-07-29 09:15:35 +02:00
if [ $? -eq 0 ]; then
2007-08-17 15:02:52 +02:00
echo "loaded"
2007-07-29 09:15:35 +02:00
else
2007-08-17 15:02:52 +02:00
echo "failed"
2007-07-29 09:15:35 +02:00
fi